<?
	if(empty($_SESSION['s_cd_dealerid'])){
		// echo $_SERVER['HTTP_X_REQUESTED_WITH'];
		// echo $_SERVER['HTTP_ACCEPT'];
		// exit;

		if($_SERVER['HTTP_X_REQUESTED_WITH'] == "XMLHttpRequest" && strpos($_SERVER['HTTP_ACCEPT'], "application/json") !== false) {
			$RES = array(
				'CODE' => "4444"
				, "MSG" => "본페이지는 로그인후 이용가능합니다."
				, "DATAS" => array(
					'URL' => "/aap/login.php"
				)
			);
			echo json_encode($RES);
			exit;
		}
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<script type="text/javascript" charset="utf-8" src="/common/js/jquery-1.11.2.min.js"></script>
<script language="JavaScript">
<?
		$url = "http://" . $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"];

		if( !empty($_COOKIE["ESMotorsAAP"])){


			$arrItem = explode("&", $_COOKIE["ESMotorsAAP"]);
			$arrUsr = explode("=", $arrItem[0]);
			$arrVal = explode("=", $arrItem[1]);

			$ar_usr = $arrUsr[1];
			$ar_val = $arrVal[1];
?>
			$.post("/aap/login_proc.php", { mode:"loginAuto", al_usr: '<?= $ar_usr ?>', al_val: '<?= $ar_val ?>'},function(data) {

				if(data=="Y"){
					// location.href = "/aap/main.php";
				}else{
					alert("본페이지는 로그인후 이용가능합니다.");
					location.replace("/aap/login.php?url=<?=$url?>");
				}
			});
<?
		}else {
?>
			alert("본페이지는 로그인후 이용가능합니다.");
			location.replace("/aap/login.php?url=<?=$url?>");
<?
		}

?>
</script>
</head>
</html>
<?
		die();
	}
	else if($_SESSION['s_cd_dealer_type'] != 'aap') {
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<script language="JavaScript">
	alert("본페이지는 AAP 회원전용 페이지입니다.  모든 세션은 초기화 됩니다. 재로그인 후 이용해주세요");
	location.replace("/aap/login_proc.php?mode=logout");
</script>
</head>
</html>
<?
		die();
	}
?>
